/************************************************************
 * Infinite Universe Engine:				                *
 *                                                          *
 * Interactive simulation of a solar system and             *
 * real-time rendering of planetary bodies with OpenGL      *
 * copyright  2002 Jochen Winzen                           *
 * winzen@online.de                                         *
 * -------------------------------------------------------- *
 * File:	Date.h                                          *
 *                                                          *
 * Content: Header file of Date class based on code from    *
 *          Chris Laurel <claurel@shatters.net>             *
 *                                                          *
 * Author:  Jochen Winzen                                   *
 * Version: 2002/12/08                                      *
 ************************************************************
 */
// Copyright (C) 2001 Chris Laurel <claurel@shatters.net>
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.

#ifndef JWDATE_H
#define JWDATE_H

#include <iostream.h>
#include <qdom.h>

class JWDate
{
public:
	static char weekday[7][10];

	JWDate(int Y, int M, int D);
  setJuliandate(double jd);
  JWDate(double);
	JWDate(QDomElement node);
	char *print();
	
	// Convert a date structure to a Julian date
	double doubleValue();
	
public:
	int year;
	int month;
	int day;
	int hour;
	int minute;
	double seconds;
};

#endif



