/************************************************************
 * Infinite Universe Engine:				                *
 *                                                          *
 * Interactive simulation of a solar system and             *
 * real-time rendering of planetary bodies with OpenGL      *
 * copyright  2002 Jochen Winzen                           *
 * winzen@online.de                                         *
 * -------------------------------------------------------- *
 * File:	GLFont.h                                        *
 *                                                          *
 * Content: Header file of texture font                     *
 *                                                          *
 * Author:  Jochen Winzen                                   *
 * Version: 2002/12/08                                      *
 ************************************************************
 */

#ifndef GLFONT_MODULE
#define GLFONT_MODULE

#include <qgl.h>
#include <qdom.h>
#include "Texture.h"

class GLFont
{
 public:
  GLFont();
  ~GLFont();
  void init(QDomElement fontNode);
  void SetTexture(char *Tex, int xCount, int yCount);
  void SetFontProperties(int Width, int Height, int Spacing);
  void SetDisplayMode(int dWidth, int dHeight);
  void SetFontSize(int s);
  void SetBase(int Base);
  GLvoid KillFont(GLvoid);
  GLvoid BuildFont();
  GLvoid Print(GLint x, GLint y, char *string);
  GLvoid PrintTest(GLint x, GLint y);

 private:
  TEXTURE fTexture;
  GLuint fBase;
  int    fWidth;
  int    fHeight;
  int    fSpacing; 
  int    fStartPos;
  int    fxCount;
  int    fyCount;
  int    fdWidth;
  int    fdHeight;
  float  fScale;
};


#endif



