// JWNoise:
// A new 4 dimensional pure noise function that gives 
// pseudo random white noise for all positions in integer space.
// You call it with a 4 dimensional double vector so that 
// fractions interpolate between the full positions!
// The noise is non-repeating in the area (int)^4!!!

#ifndef _JW_NOISE_FUNCTION
#define _JW_NOISE_FUNCTION

class JWNoise
{
#define NOISESIZE 256
#define NOISEMASK  (NOISESIZE-1)	

protected:
	int m_nDimensions;					        	// Number of dimensions used by this object
	unsigned char noiseMap[NOISESIZE];		// Randomized map of indexes into itself

public:
	JWNoise()	{};
	JWNoise(int nDimensions, unsigned int nSeed)	{ Init(nDimensions, nSeed); }
	void Init(int nDimensions, unsigned int nSeed);

  unsigned int simpleNoise(unsigned int x);   // simple noise, repeating after NOISESIZE!
  double Lattice(unsigned int x, unsigned int y=0, unsigned int z=0, unsigned int t=0);  // unique noise for every position in integer space!
	double Noise(double *f);
};

#endif