// unsuccessful test to force a 24 bit depth buffer!

#ifndef _jwqgl_h
#define _jwqgl_h

#include <qgl.h>

class JWQGLContext : public QGLContext {
public:
    int depthbits;
		int colorbits;

		// we get a good constructor!!!
    JWQGLContext() : QGLContext(QGLFormat::defaultFormat(), 0)
		{
			colorbits = 32;
			depthbits = 24;
		};

		void setBufferDepth(int depth)		{depthbits = depth;}
    void setColorDepth(int col)			{colorbits = col;}

		void modifyContext(const QGLContext *acontext)
		{
			QGLContext *oldcontext = QGLContext::currentCtx;

			static PIXELFORMATDESCRIPTOR pfd=				// pfd Tells Windows How We Want Things To Be
			{
				sizeof(PIXELFORMATDESCRIPTOR),				// Size Of This Pixel Format Descriptor
					1,											// Version Number
					PFD_DRAW_TO_WINDOW |		// Format Must Support Window
					PFD_SUPPORT_OPENGL |		// Format Must Support OpenGL
					PFD_DOUBLEBUFFER,				// Must Support Double Buffering
					PFD_TYPE_RGBA,					// Request An RGBA Format
					colorbits,							// Select Our Color Depth
					0, 0, 0, 0, 0, 0,				// Color Bits Ignored
					0,											// No Alpha Buffer
					0,											// Shift Bit Ignored
					0,											// No Accumulation Buffer
					0, 0, 0, 0,							// Accumulation Bits Ignored
					16,							// 24Bit Z-Buffer (Depth Buffer)  
					0,											// No Stencil Buffer
					0,											// No Auxiliary Buffer
					PFD_MAIN_PLANE,					// Main Drawing Layer
					0,											// Reserved
					0, 0, 0									// Layer Masks Ignored
			};
			
			int myPixelFormat = 0;

			myPixelFormat = ChoosePixelFormat(oldcontext->dc , &pfd);

			if (myPixelFormat)	// Did Windows Find A Matching Pixel Format?
			{
				if(!SetPixelFormat((HDC)oldcontext->dc, myPixelFormat, &pfd))		// Are We Able To Set The Pixel Format?
					MessageBox(NULL,"Can't Set The PixelFormat.","ERROR",MB_OK|MB_ICONEXCLAMATION);
				else
				{
					oldcontext->rc = wglCreateContext(oldcontext->dc);		// Are We Able To Get A Rendering Context?
					DescribePixelFormat(oldcontext->dc, myPixelFormat, sizeof(PIXELFORMATDESCRIPTOR), &pfd); 
					char buf[80];
					sprintf (buf, "New PixelFormat has depth %d", pfd.cDepthBits);
					MessageBox(NULL,buf,"ERROR",MB_OK|MB_ICONEXCLAMATION);
				}
			}
			else
				MessageBox(NULL,"Can't Find A Suitable PixelFormat.","ERROR",MB_OK|MB_ICONEXCLAMATION);
		}
};


#endif



