/************************************************************
 * Infinite Universe Engine:				                *
 *                                                          *
 * Interactive simulation of a solar system and             *
 * real-time rendering of planetary bodies with OpenGL      *
 * copyright  2002 Jochen Winzen                           *
 * winzen@online.de                                         *
 * -------------------------------------------------------- *
 * File:	JWSolarSystem.h                                 *
 *                                                          *
 * Content: Header file of a solar system class             *
 *                                                          *
 * Author:  Jochen Winzen                                   *
 * Version: 2003/02/03                                      *
 ************************************************************
 */

#ifndef JWSOLARSYSTEM_H
#define JWSOLARSYSTEM_H

#include "JWObject.h"
#include "qtxml.h"

class JWSolarSystem : public C3DObject
{
public:
	void init(QDomElement start);
	void updateGeometry(C3DCamera *pCamera);
	void draw(C3DCamera *camera);
};

#endif




