/************************************************************
 * Infinite Universe Engine:				                *
 *                                                          *
 * Interactive simulation of a solar system and             *
 * real-time rendering of planetary bodies with OpenGL      *
 * copyright  2002 Jochen Winzen                           *
 * winzen@online.de                                         *
 * -------------------------------------------------------- *
 * File:	QTXML.h                                         *
 *                                                          *
 * Content: Header file of XML wrapper class to QT DOM      *
 *                                                          *
 * Author:  Jochen Winzen                                   *
 * Version: 2002/12/08                                      *
 ************************************************************
 */
#ifndef JW_QTXML_WRAPPER
#define JW_QTXML_WRAPPER

// XML support
#include <qdom>
#include <string>

class QTXML
{
public:
	QDomDocument doc;
	QDomElement docElem;

	QTXML() {};
	~QTXML() {};

	bool readFile(const char *file);

	QString getAttribute(const char *str, const QString & defValue = QString::null);

	/**
	 * Find a unique node in the current DOM structure
	 * @param path the properly formated parameter 
	 *			   (e.g. "NODE1:NODE2:PARAM")
	 */
	QDomNode readUniqueNode(std::string path);

	static void getColor(QDomElement n, double &red, double &green, double &blue);
};

#endif

